Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in xen
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in xen
ID: openSUSE-SU-2020:0599-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 15.1
Datum: Sa, 2. Mai 2020, 08:47
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-11743
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-11739
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-11741
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-11742
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-11740
Applikationen: Xen

Originalnachricht

   openSUSE Security Update: Security update for xen
______________________________________________________________________________

Announcement ID: openSUSE-SU-2020:0599-1
Rating: important
References: #1027519 #1134506 #1155200 #1157490 #1160932
#1165206 #1167007 #1167152 #1168140 #1168142
#1168143 #1169392
Cross-References: CVE-2020-11739 CVE-2020-11740 CVE-2020-11741
CVE-2020-11742 CVE-2020-11743
Affected Products:
openSUSE Leap 15.1
______________________________________________________________________________

An update that solves 5 vulnerabilities and has 7 fixes is
now available.

Description:

This update for xen fixes the following issues:

Security issues fixed:

- CVE-2020-11742: Bad continuation handling in GNTTABOP_copy (bsc#1169392).
- CVE-2020-11740, CVE-2020-11741: xen: XSA-313 multiple xenoprof issues
(bsc#1168140).
- CVE-2020-11739: Missing memory barriers in read-write unlock paths
(bsc#1168142).
- CVE-2020-11743: Bad error path in GNTTABOP_map_grant (bsc#1168143).
- arm: a CPU may speculate past the ERET instruction (bsc#1160932).

Non-security issues fixed:

- Xenstored Crashed during VM install (bsc#1167152)
- DomU hang: soft lockup CPU #0 stuck under high load (bsc#1165206,
bsc#1134506)
- Update API compatibility versions, fixes issues for libvirt.
(bsc#1167007, bsc#1157490)
- aacraid blocks xen commands (bsc#1155200)

This update was imported from the SUSE:SLE-15-SP1:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.1:

zypper in -t patch openSUSE-2020-599=1



Package List:

- openSUSE Leap 15.1 (i586 x86_64):

xen-debugsource-4.12.2_04-lp151.2.15.1
xen-devel-4.12.2_04-lp151.2.15.1
xen-libs-4.12.2_04-lp151.2.15.1
xen-libs-debuginfo-4.12.2_04-lp151.2.15.1
xen-tools-domU-4.12.2_04-lp151.2.15.1
xen-tools-domU-debuginfo-4.12.2_04-lp151.2.15.1

- openSUSE Leap 15.1 (x86_64):

xen-4.12.2_04-lp151.2.15.1
xen-doc-html-4.12.2_04-lp151.2.15.1
xen-libs-32bit-4.12.2_04-lp151.2.15.1
xen-libs-32bit-debuginfo-4.12.2_04-lp151.2.15.1
xen-tools-4.12.2_04-lp151.2.15.1
xen-tools-debuginfo-4.12.2_04-lp151.2.15.1


References:

https://www.suse.com/security/cve/CVE-2020-11739.html
https://www.suse.com/security/cve/CVE-2020-11740.html
https://www.suse.com/security/cve/CVE-2020-11741.html
https://www.suse.com/security/cve/CVE-2020-11742.html
https://www.suse.com/security/cve/CVE-2020-11743.html
https://bugzilla.suse.com/1027519
https://bugzilla.suse.com/1134506
https://bugzilla.suse.com/1155200
https://bugzilla.suse.com/1157490
https://bugzilla.suse.com/1160932
https://bugzilla.suse.com/1165206
https://bugzilla.suse.com/1167007
https://bugzilla.suse.com/1167152
https://bugzilla.suse.com/1168140
https://bugzilla.suse.com/1168142
https://bugzilla.suse.com/1168143
https://bugzilla.suse.com/1169392

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung